# $Id: solaris.sh,v 1.4 2001-02-12 21:01:40-08 bll Exp $

#libpth="/usr/lib /usr/ccs/lib"

case "$osvers" in
    2.[6-9]*)
		ccflags="`/usr/bin/getconf LFS_CFLAGS`"
		ldflags="`/usr/bin/getconf LFS_LDFLAGS`"
		libs="$libs `/usr/bin/getconf LFS_LIBS`"
		;;
    2.*|1*)	;;
    *)
		ccflags="`/usr/bin/getconf LFS_CFLAGS`"
		ldflags="`/usr/bin/getconf LFS_LDFLAGS`"
		libs="$libs `/usr/bin/getconf LFS_LIBS`"
		;;
esac

case "$cc" in
    *gcc*)      ccflags="-Wall $ccflags"
		;;
    *)          ccflags="-Xa -v -fast $ccflags"
                ldflags="-fast $ldflags"
                optimize=""
                case "$osvers" in
                    2.[7-9]*)
                        if [ -x /usr/bin/isainfo -a \
                            `uname -m` = sun4u -a \
                            `/usr/bin/isainfo -b` = 64 ]
                        then
                            cc64flags="-xarch=v9"
                            ld64flags="-xarch=v9"
                        fi
		        ;;
                esac
		;;
esac

